dcl_settings : default_dcl_settings { audit_level = 1; }
//
// dialogues for LITIO LAB 2019-06-19
//
bigdialimag : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage";
         width = 40 ;
      }
bigdialimag2 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage";
         width = 50 ;
      }
bigdialimag3 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage";
         width = 60 ;
      }
bigdialimag4 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage";
         width = 70 ;
      }
bigdialimag5 : image {
         aspect_ratio = 0.65 ;
         color = -2 ;
         key = "timage";
         width = 75 ;
      }
butimag :image_button {
            width=30;
            aspect_ratio=0.65;
            color = -2 ;
         }
//
optradbut : radio_button {
         width = 8 ;
         fixed_width = true ;
      }
opttogg : toggle {
         width = 8 ;
         fixed_width = true ;
      }
//
optpoints : optradbut {
               key = "points";
               label = "Points"; // MSG001
               mnemonic = "P";
      }
optlines : optradbut {
               key = "lines";
               label = "Lines"; // MSG002
               mnemonic = "L";
      }
optpolys : optradbut {
               key = "poly";
               label = "Polyline"; // MSG003
               mnemonic = "y";
      }
//
optsuppoints : optradbut {
               key = "suppoints";
               label = "Points"; // MSG001
               mnemonic = "P";
      }
optsupmesh : optradbut {
               key = "supmesh";
               label = "Mesh"; // MSG004
               mnemonic = "M";
      }
//
number_box : edit_box {
         edit_limit = 20 ;
         edit_width = 10 ;
         fixed_width = true ;
      }
text_box : edit_box {
         edit_limit = 250 ;
         edit_width = 50 ;
         fixed_width = true ;
      }
//
fformula_box : text_box {
    key = "form_f";
    label = "X = f(u) ="; // MSGxxx
    mnemonic = "f";
}
gformula_box : text_box {
    key = "form_g";
    label = "Y = g(u) ="; // MSGxxx
    mnemonic = "g";
}
hformula_box : text_box {
    key = "form_h";
    label = "Z = h(u) ="; // MSGxxx
    mnemonic = "h";
}
ui_box : number_box {
    key = "u_i";
    label = "Ui:"; // MSGxxx
    mnemonic = "i";
}
uf_box : number_box {
    key = "u_f";
    label = "Uf:"; // MSGxxx
    mnemonic = "f";
}
deltau_box : number_box {
    key = "delta_u";
    label = "dU:"; // MSGxxx
    mnemonic = "d";
}
nu_box : number_box {
    key = "ndiv_u";
    label = "Nu:"; // MSGxxx
    mnemonic = "N";
}
//
vi_box : number_box {
    key = "v_i";
    label = "Vi:"; // MSGxxx
    mnemonic = "i";
}
vf_box : number_box {
    key = "v_f";
    label = "Vf:"; // MSGxxx
    mnemonic = "f";
}
deltav_box : number_box {
    key = "delta_v";
    label = "dV:"; // MSGxxx
    mnemonic = "d";
}
nv_box : number_box {
    key = "ndiv_v";
    label = "Nv:"; // MSGxxx
    mnemonic = "N";
}
//
vv1_box : number_box {
    key = "vv_1";
}
vv2_box : number_box {
    key = "vv_2";
}
vv3_box : number_box {
    key = "vv_3";
}
vv4_box : number_box {
    key = "vv_4";
}
vi2_box : number_box {
    key = "vi_2";
               label = "Mx [integer]:"; // MSG005
    mnemonic = "x";
}
vi3_box : number_box {
    key = "vi_3";
               label = "My [integer]:"; // MSG006
    mnemonic = "y";
}
//
yformula_box : text_box {
    key = "y_x";
    label = "y = f(x) ="; // MSGxxx
    mnemonic = "f";
}
rformula_box : text_box {
    key = "r_a";
    label = "R = f(a) ="; // MSGxxx
    mnemonic = "a";
}
//
xi_box : ui_box {
    label = "Xi:"; // MSGxxx
}
xf_box : uf_box {
    label = "Xf:"; // MSGxxx
}
deltax_box : deltau_box {
    label = "dX:"; // MSGxxx
}
nx_box : nu_box {
    label = "N:"; // MSGxxx
}
y_box : number_box {
    key = "tile_y";
    label = "Y:"; // MSGxxx
    mnemonic = "Y";
}
//
ai_box : ui_box {
    label = "Ai:"; // MSGxxx
}
af_box : uf_box {
    label = "Af:"; // MSGxxx
}
deltaa_box : deltau_box {
    label = "dA:"; // MSGxxx
}
na_box : nu_box {
    label = "N:"; // MSGxxx
}
configbutton : button {
         width=16;
         label = "Settings..."; // MSG007
         key="t-conf";
      }
backbutton : button {
         width=16;
         label = "< Back"; // MSG008
         key="t-back";
         fixed_width=true;
         alignment=left;
      }
examplebutton : button {
         width=16;
         label = "Example"; // MSG009
         key="t-example";
         fixed_width=true;
         alignment=right;
      }
function_list : popup_list {
               label = "Select function:"; // MSG010
            mnemonic = "f";
            key = "t-listfunc";
            edit_width = 15;
            list = "Select\nsin() []\ncos() []\ntang() []\nsin() [rad]\ncos() [rad]\ntang() [rad]\nr2d() [rad]\nd2r() []\npi\nasin()\nacos()\natan()\nln()\nlog()\nexp()\nexp10()\nsqr()\nsqrt()\nabs()\nround()\ntrunc()";
}
//
// recurring dialog elements
functionlistbox :boxed_row { 
               label = "Available functions"; // MSG011
    function_list ;
   }
//
drawcurveoptionbox : boxed_radio_row {
               label = "What to draw"; // MSG012
              optpoints ;
              optlines ;
              optpolys ;
   }
//
drawsurfaceoptionbox : boxed_radio_row {
               label = "What to draw"; // MSG012
              optsuppoints ;
              optsupmesh ;
   }
//
auxrow : boxed_row {
               label = "Auxiliary functions and constants"; // MSG072
      : column {
            children_alignment=right;
            : text_box {
            edit_limit = 250 ;
            edit_width = 30 ;
            fixed_width = true ;
            key = "form_j1";
            label = "J1 = J1( ) ="; 
            mnemonic = "1";
            }
            : text_box {
            edit_limit = 250 ;
            edit_width = 30 ;
            fixed_width = true ;
            key = "form_j2";
            label = "J2 = J2( ) ="; 
            mnemonic = "2";
            }
      } // end column
      : column {
            children_alignment=right;
            : number_box {
            edit_limit = 20 ;
            edit_width = 10 ;
            fixed_width = true ;
            key = "t-c1";
            label = "C1 = "; 
            mnemonic = "1";
            }
            : number_box {
            edit_limit = 20 ;
            edit_width = 10 ;
            fixed_width = true ;
            key = "t-c2";
            label = "C2 = "; 
            mnemonic = "2";
            }
      } // end column
   } // END auxrow
//
//
//-------- The dialogues themselves -------
//
dl00 :dialog {               
               label = "LITIO LAB 1.0 - (c) J.M. Lavric 2020 - Starting dialog 2 of 2 - Select your project..."; // MSG013
   key="dl00";            
   :row {            
      : column {         
         :boxed_row {      
               label = "2D curves"; // MSG014
            : butimag {   
               key="t-imagf01";
            }   
            : butimag {   
               key="t-imagf02";
            }   
            : butimag {   
               key="t-imagf03";
            }   
            : butimag {   
               key="t-imagf04";
            }   
         }      
         :boxed_row {      
               label = "3D curves"; // MSG015
            : butimag {   
               key="t-imagf05";
            }   
            : butimag {   
               key="t-imagf06";
            }   
            : butimag {   
               key="t-imagf07";
            }   
            : butimag {   
                 color = -15 ;
//               key="t-imagf08";
            }   
         }      
         :boxed_row {      
               label = "3D surfaces"; // MSG016
            : butimag {   
               key="t-imagf09";
            }   
            : butimag {   
               key="t-imagf10";
            }   
            : butimag {   
               key="t-imagf11";
            }   
            : butimag {   
               key="t-imagf12";
            }   
         }      
      } // end COLUMN         
   }            
// agregar lista desplegable con opciones... TAREA               
   spacer_1;            
   :row {            
      : button {         
         width=16;      
               label = "Back to 1 of 2"; // MSG017
         key="t-back12";      
         mnemonic = "1";      
      }     
      : button {         
         width=16;      
               label = "Paste XLS to Points"; // MSG018
         key="t-xls";      
         mnemonic = "X";      
      }         
      : button {         
         width=16;      
               label = "Load LLP"; // MSG019
         key="t-load";      
         mnemonic = "d";      
      }         
      configbutton;
   }            
   spacer_1;            
//               
   :row {            
   errtile;            
   }            
   :row {            
      ok_cancel;         
   }            
}               
//               
dl001 :dialog {               
               label = "LITIO LAB 1.0 - (c) J.M. Lavric 2020 - Starting dialog 1 of 2 - Select your drawing aid..."; // MSG020
   key="dl001";            
   :row {            
      : boxed_column {         
               label = "Drawing aids"; // MSG021
         :row {      
            : butimag {   
               key="t-imagf13";
            }   
            : butimag {   
               key="t-imagf14";
            }   
            : butimag {   
               key="t-imagf15";
            }   
            : butimag {   
               key="t-imagf16";
            }   
         }      
   spacer_1;            
         :row {      
            : butimag {   
               key="t-imagf17";
            }   
            : butimag {   
               key="t-imagf18";
            }   
            : butimag {   
               key="t-imagf19";
            }   
            : butimag {   
                 color = -15 ;
//               key="t-imagf20";
            }   
         }      
   spacer_1;            
         :row {      
            : butimag {   
               key="t-imagf21";
            }   
            : butimag {   
               key="t-imagf22";
            }   
            : butimag {   
               key="t-imagf23";
            }   
            : butimag {   
                 color = -15 ;
//               key="t-imagf24";
            }   
         }      
      } // end COLUMN         
   }            
// agregar lista desplegable con opciones... TAREA               
   spacer_1;            
   :row {            
      : button {         
         width=16;      
               label = "Paste XLS to Points"; // MSG018
         key="t-xls";      
         mnemonic = "X";      
      }         
      : button {         
         width=16;      
               label = "Load LLP"; // MSG019
         key="t-load";      
         mnemonic = "d";      
      }         
      configbutton;
      : button {         
         width=16;      
               label = "Go to 2 of 2"; // MSG073
         key="t-back22";      
         mnemonic = "2";      
      }     
   }            
   spacer_1;            
//               
   :row {            
   errtile;            
   }            
   :row {            
      ok_cancel;         
   }            
} 
//              
//////
//              
dl01 :dialog {               
   label="LITIO LAB 1.0 - (c) J.M. Lavric 2020 - Select a drawing AID..."; // MSGyyy
   key="dl01";            
   :row {            
      : column {         
         :boxed_row {      
            label = "2D curves"; // MSGyyy
            : butimag {   
               key="t-imagf01a";
            }   
            : butimag {   
               key="t-imagf02a";
            }   
            : butimag {   
               key="t-imagf03a";
            }   
         }      
         :boxed_row {      
            label = "3D curves"; // MSGyyy
            : butimag {   
               key="t-imagf04a";
            }   
            : butimag {   
               key="t-imagf05a";
            }   
            : butimag {   
               key="t-imagf06a";
            }   
         }      
         :boxed_row {      
            label = "3D surfaces"; // MSGyyy
            : butimag {   
               key="t-imagf07a";
            }   
            : butimag {   
               key="t-imagf08a";
            }   
            : butimag {   
               key="t-imagf09a";
            }   
         }      
      } // end COLUMN         
   }            
//               
   :row {            
   spacer_1;            
   configbutton;            
   backbutton;
   }            
   :row {            
   errtile;            
   }            
   :row {            
      ok_cancel;         
   }            
}               
//
dlkey :dialog {
               label = "LitioLAB v. 1.0 KEY"; // MSG074
   key= "dlkey";
   spacer_1;
   :row {
       : edit_box {
         edit_limit = 12 ;
         edit_width = 30 ;
         key = "enterkey";
               label = "Enter Activation Key:"; // MSG022
         mnemonic = "K";
        }
   }
   :row {
       : edit_box {
         edit_limit = 50 ;
         edit_width = 30 ;
         key = "entermail";
               label = "Enter your email:"; // MSG023
         mnemonic = "y";
        }
   }
   spacer_1;
   :row {
      ok_cancel;
   }
}
//               
//-------- dialogue: configuration -------               
//               
//               
dl000 : dialog {                
   key = "t-diacnfg";            
               label = "LitioLAB v. 1.0 - (c) J.M. Lavric 2020 - Settings"; // MSG075
   : row {            
// toda la parte superior               
      bigdialimag5 ;      
   } // end row            
   :row {            
      children_fixed_width=true;
      : column {         
         : boxed_radio_row {      
               label = "Drawing preference - Curves"; // MSG024
              optpoints ;
              optlines ;
              optpolys ;
           } // end Entities BOXED ROW      
         : boxed_radio_row {      
               label = "Drawing preference - Surfaces"; // MSG025
              optsuppoints ;
              spacer_1;            
              optsupmesh ;
           } // end Entities BOXED ROW      
         : boxed_radio_row {      
               label = "Insertion point"; // MSG026
            : optradbut {   
               key = "origin";
               label = "Origin 0 0 0"; // MSG027
               mnemonic = "O";
            }   
            spacer_1;      
            : optradbut {   
               key = "pick";
               label = "Pick point"; // MSG028
               mnemonic = "P";
            }   
           } // end insertion point BOXED ROW      
         : boxed_row {      
               label = "Drawing mode"; // MSG077
            : opttogg {   
               key = "forcevirtual";
               label = "Virtual objects"; // MSG078
               mnemonic = "V";
            }   
           } // end FORCED VITUAL OBJECTS      
      } // end column de figura insercin y entidades
//                
// columna de Limites de Dimensiones para generacin de funciones y dialogue color               
      : column {      
         width = 35 ;
         fixed_width = true ;   
         : boxed_column {      
               label = "Dialogue Image Color"; // MSG029
             : popup_list {   
               label = "Background:"; // MSG030
             mnemonic = "B";   
             key = "t-imagcol";   
             edit_width = 12;   
               list = "Black\nLight Grey\nDark Grey\nScr.bckgrnd.\nDlg.bckgrnd."; // MSG031
             }   
         } // End boxed column dialogue color      
         : boxed_column {      
               label = "Overall scale factor [Graphs 2 of 2]"; // MSG032
              : number_box {   
                key = "t_scale";
                label = "Scale:";
                mnemonic = "S";
              }   
         } // End boxed column SCALE      
         :boxed_column {
               label = "Save file after drawing"; // MSG033
            : opttogg {
               key = "t_sllp";
               label = "LitioLab Project data"; // MSG076
               mnemonic = "P";
            }
            : opttogg {
               key = "t_scsv";
               label = "Point coordinates to CSV"; // MSG034
               mnemonic = "C";
            }
         }
      } // end column         
//               
   } // end row            
   :row {            
      errtile;         
   }            
   :row {            
      ok_cancel;         
   }            
} // end dl000               
//                                       
// ----------------- ###################### ///////////////
//
//
//
dialfx :dialog {
   label="4 LitioLAB v. 1.0 - y = f(x)"; // MSGyyy
   key= "dialfx";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
   :row {
      xi_box ;
      xf_box ;
      deltax_box ;
      nx_box ;
   }
   :row {
      yformula_box ;
   }
   functionlistbox;
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       examplebutton ;
   }
   :row {
      ok_cancel;
   }
}
//
dial01 :dialog {
   label="4 LitioLAB v. 1.0 - 2D Curve - y = f(x)"; // MSG35
   key= "dial01";
: row {
: column {
    bigdialimag2 ;
    drawcurveoptionbox;
}
: column {
// 2019-10-04
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      xi_box ;
      xf_box ;
      deltax_box ;
      nx_box ;
   }
   auxrow ;
   :boxed_row {
      children_alignment=right;
               label = "Formulas"; // MSG037
      : fformula_box {
          label = "Y = f(x) =";
      }
   }
   functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dialfa :dialog {
   label="4 LITIO MATH GRAPH v. 1.0 - TEST - 2D Curve - R = f(a)"; // MSGyyy
   key= "dialfa";
   :row {
      ai_box ;
      af_box ;
      deltaa_box ;
   }
   :row {
      rformula_box ;
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      ok_cancel;
   }
}
// ----------------- ###################### ///////////////
//
//
//
dial05 :dialog {
               label = "LitioLAB v. 1.0 - 3d Curve | x = f(u) | y = g(u) | z = h(u)"; // MSG038
   key= "dial05";
: row {
: column {
    bigdialimag3 ;
    drawcurveoptionbox;
// 2019-10-04
}
: column {
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      fformula_box ;
      gformula_box ;
      hformula_box ;
   }
   functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial02 :dialog {
               label = "LitioLAB v. 1.0 - 2D Curve - R = f(A)"; // MSG039
   key= "dial02";
: row {
: column {
    bigdialimag2 ;
    drawcurveoptionbox ;
}
: column {
// 2019-10-04
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ai_box ;
      af_box ;
      deltaa_box ;
      na_box ;
   }
   auxrow ;
   :boxed_row {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "R = f(A) =";
      }
   }
   functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
      ok_cancel;
       examplebutton ;
   }
}
//
dial03 :dialog {
               label = "LitioLAB v. 1.0 - 2D Curve - X = f(u) & Y = g(u) "; // MSG040
   key= "dial03";
: row {
: column {
    bigdialimag2 ;
    drawcurveoptionbox ;
}
// 2019-10-04
: column {
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      fformula_box ;
      gformula_box ;
   }
   functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial04 :dialog {
               label = "LitioLAB v. 1.0 - 2D Curve - R = f(u) & A = g(u) "; // MSG041
   key= "dial04";
: row {
: column {
    bigdialimag2 ;
    drawcurveoptionbox ;
}
// 2019-10-04
: column {
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "R = f(u) ="; // MSGxxx
      }
      : gformula_box {
          label = "A = g(u) ="; // MSGxxx
      }
   }
   functionlistbox ; 
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial06 :dialog {
               label = "LitioLAB v. 1.0 - 3D Curve - R = f(u) & A = g(u) & Z = h(u)"; // MSG042
   key= "dial06";
: row {
: column {
    bigdialimag3 ;
    drawcurveoptionbox ;
}
// 2019-10-04
: column {
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "R = f(u) ="; // MSGxxx
      }
      : gformula_box {
          label = "A = g(u) ="; // MSGxxx
      }
      hformula_box ;
   }
   functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial07 :dialog {
               label = "LitioLAB v. 1.0 - 3D Curve - R = f(u) & A = g(u) & B = h(u)"; // MSG043
   key= "dial07";
: row {
: column {
    bigdialimag3 ;
    drawcurveoptionbox ;
}
// 2019-10-04
: column {
   :boxed_row {
               label = "Variable limits and intervals"; // MSG036
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "R = f(u) ="; // MSGxxx
      }
      : gformula_box {
          label = "A = g(u) ="; // MSGxxx
      }
      : hformula_box {
          label = "B = h(u) ="; // MSGxxx
      }
   }
    functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial09 :dialog {
               label = "LitioLAB v. 1.0 - 3D Surface - Z = f(x,y)"; // MSG044
   key= "dial09";
: row {
: column {
    bigdialimag2 ;
    drawsurfaceoptionbox ;
}
// 2019-10-04
: column {
   :boxed_column {
               label = "Variable limits and intervals"; // MSG036
   :row {
      xi_box ;
      xf_box ;
      deltax_box ;
      nx_box ;
   }
   :row {
      : vi_box {
        label ="Yi:"; // MSGxxx
      }
      : vf_box {
        label ="Yf:"; // MSGxxx
      }
      : deltav_box {
        label = "dY:"; // MSGxxx
      }
      : nv_box {
        label = "N[y]:"; // MSGxxx
      }
   }
   }
   auxrow ;
   :boxed_row {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "Z = f(x,y) ="; // MSGxxx
      }
   }
   functionlistbox ; 
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial10 :dialog {
               label = "LitioLAB v. 1.0 - 3D Surface - X = f(u,v) | Y = g(u,v) | Z = h(u,v)"; // MSG045
   key= "dial10";
: row {
: column {
    bigdialimag3 ;
    drawsurfaceoptionbox ;
}
// 2019-10-04
: column {
   :boxed_column {
               label = "Variable limits and intervals"; // MSG036
   :row {
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   :row {
      vi_box ;
      vf_box ;
      deltav_box ;
      nv_box ;
   }
}
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "X = f(u,v) ="; // MSGxxx
      }
      : gformula_box {
          label = "Y = g(u,v) ="; // MSGxxx
      }
      : hformula_box {
          label = "Z = h(u,v) ="; // MSGxxx
      }
   }
    functionlistbox ;
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
dial11 :dialog {
               label = "LitioLAB v. 1.0 - 3D Surface - R = f(u,v) & A = g(u,v) & Z = h(u,v)"; // MSG046
   key= "dial11";
: row {
: column {
    bigdialimag2 ;
    drawsurfaceoptionbox ;
    functionlistbox ;
}
// 2019-10-04
: column {
   :boxed_column {
               label = "Variable limits and intervals"; // MSG036
   :row {
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   :row {
      vi_box ;
      vf_box ;
      deltav_box ;
      nv_box ;
   }
}
   auxrow ;
   :boxed_column {
               label = "Formulas"; // MSG037
      children_alignment=right;
      : fformula_box {
          label = "R = f(u,v) ="; // MSGxxx
      }
      : gformula_box {
          label = "A = g(u,v) ="; // MSGxxx
      }
      : hformula_box {
          label = "Z = h(u,v) ="; // MSGxxx
      }
   }
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
      ok_cancel;
       examplebutton ;
   }
}
//
dial12 :dialog {
               label = "LitioLAB v. 1.0 - 3D Surface - R = f(u,v) & A = g(u,v) & B = h(u,v)"; // MSG047
   key= "dial12";
: row {
: column {
    bigdialimag2 ;
    drawsurfaceoptionbox ;
    functionlistbox ;
}
// 2019-10-04
: column {
   :boxed_column {
               label = "Variable limits and intervals"; // MSG036
   :row {
      ui_box ;
      uf_box ;
      deltau_box ;
      nu_box ;
   }
   :row {
      vi_box ;
      vf_box ;
      deltav_box ;
      nv_box ;
   }
   }
   auxrow ; 
   :boxed_column {
      children_alignment=right;
               label = "Formulas"; // MSG037
      : fformula_box {
          label = "R = f(u,v) ="; // MSGxxx
      }
      : gformula_box {
          label = "A = g(u,v) ="; // MSGxxx
      }
      : hformula_box {
          label = "B = h(u,v) ="; // MSGxxx
      }
   }
}
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
       backbutton ;
       ok_cancel;
       examplebutton ;
   }
}
//
//////////////////////////////////
//
// 13 OBLONG
dial13 :dialog {
               label = "LitioLAB v. 1.0 - OBLONG"; // MSG048
   key= "dial13";
    bigdialimag ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
      : vv1_box {
        label = "L:"; // MSGxxx
        mnemonic = "L";
      }
   spacer_1;
      : vv2_box {
        label = "D:"; // MSGxxx
        mnemonic = "D";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 14 SINE
dial14 :dialog {
               label = "LitioLAB v. 1.0 - SINE"; // MSG050
   key= "dial14";
    bigdialimag2 ;
    drawcurveoptionbox ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
      : vv1_box {
        label = "A:"; // MSGxxx
        mnemonic = "A";
      }
      : vv2_box {
        label = "B:"; // MSGxxx
        mnemonic = "B";
      }
      : nu_box {
        value = "1000";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 15 COSINE
dial15 :dialog {
               label = "LitioLAB v. 1.0 - COSINE"; // MSG051
   key= "dial15";
    bigdialimag2 ;
    drawcurveoptionbox ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
      : vv1_box {
        label = "A:"; // MSGxxx
        mnemonic = "A";
      }
      : vv2_box {
        label = "B:"; // MSGxxx
        mnemonic = "B";
      }
      : nu_box {
        value = "1000";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 16 LISSAJOUS
dial16 :dialog {
               label = "LitioLAB v. 1.0 - LISSAJOUS"; // MSG052
   key= "dial16";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
:boxed_row {
               label = "Input parameters"; // MSG049
   :column {
    children_alignment=right;
      : vv1_box {
        label = "A:"; // MSGxxx
        mnemonic = "A";
      }
      : vv4_box {
        label = "D []:"; // MSGxxx
        mnemonic = "D";
      }
     : nu_box {
     label = "N:"; // MSGxxx
     value = "1000";
     }
   }
   :column {
    children_alignment=right;
      vi2_box;
      vi3_box;
   spacer_1;
   }
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 17 Pick PARABOLA
dial17 :dialog {
               label = "LitioLAB v. 1.0  PARABOLA  PICK POINTS"; // MSG053
   key= "dial17";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
    : boxed_radio_row {
               label = "Parabola definition"; // MSG054
           : optradbut {
             key = "3points";
               label = "Pick 3 points"; // MSG055
             mnemonic = "3";
           }
           : optradbut {
             key = "4points";
               label = "Pick 4 points"; // MSG056
             mnemonic = "4";
           }
           : optradbut {
             key = "5points";
               label = "Pick 5 points"; // MSG057
             mnemonic = "5";
           }
   }
   :boxed_row {
               label = "Input divisions"; // MSG058
      : nx_box {
        value = "1000";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 18 CATENARY
dial18 :dialog {
               label = "LitioLAB v. 1.0  CATENARY"; // MSG059
   key= "dial18";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
   : boxed_row {
               label = "Input parameters"; // MSG049
      : vv1_box {
               label = "L [length]:"; // MSG060
        mnemonic = "L";
      }
      : nx_box {
        value = "1000";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      ok_cancel;
   }
}
//
// 19 SPIROGRAPH
dial19 :dialog {
               label = "LitioLAB v. 1.0  SPIROGRAPH"; // MSG061
   key= "dial19";
    bigdialimag3 ;
    drawcurveoptionbox ;
// 2019-10-04
:boxed_row {
               label = "Input parameters"; // MSG049
   :column{
      : number_box {
        key = "bigdiam";
               label = "D [diameter]:"; // MSG062
        mnemonic = "D";
        alignment = right;
      }
      : number_box {
        key = "turns";
               label = "Turns:"; // MSG063
        mnemonic = "T";
        alignment = right;
      }
      : number_box {
        key = "coup";
               label = "C [coupling factor]:"; // MSG064
        mnemonic = "C";
        alignment = right;
      }
   }
   :column{
      : number_box {
        key = "smallr";
               label = "R [radius]:"; // MSG065
        mnemonic = "R";
        alignment = right;
      }
      : number_box {
        key = "alfa0";
        label = "A0 []:"; // MSGxxx
        mnemonic = "A";
        alignment = right;
      }
      spacer_1;
   }
   :column{
      : number_box {
        key = "dwgrad";
               label = "L [length]:"; // MSG066
        mnemonic = "L";
        alignment = right;
      }
      : number_box {
        key = "beta0";
        label = "B0 []:"; // MSGxxx
        mnemonic = "B";
        alignment = right;
      }
      : nx_box {
        key = "ndiv_spiro";
               label = "N [per turn]:"; // MSG067
        mnemonic = "N";
        value = "1000";
        alignment = right;
      }
   }
}
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 20 XLS 2 POLY
//
// 21 2D SPIRAL
dial21 :dialog {
               label = "LitioLAB v. 1.0 - SPIRAL | 2D HELIX "; // MSG068
   key= "dial21";
    bigdialimag2 ;
    drawcurveoptionbox ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
      : vv1_box {
        label = "A:"; // MSGxxx
        mnemonic = "A";
      }
      : vv2_box {
        label = "B:"; // MSGxxx
        mnemonic = "B";
      }
      : nu_box {
        value = "1000";
      }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 22 3D HELIX (SPRING)
dial22 :dialog {
               label = "LitioLAB v. 1.0 - 3D HELIX | SPRING"; // MSG069
   key= "dial22";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
   :column {
    children_alignment=right;
      : vv1_box {
        label = "D:"; // MSGxxx
        mnemonic = "D";
      }
      : vv3_box {
               label = "Turns [M]:"; // MSG070
        mnemonic = "M";
      }
   }
   :column {
    children_alignment=right;
      : vv2_box {
        label = "P:"; // MSGxxx
        mnemonic = "P";
      }
      : nu_box {
        value = "1000";
      }
   }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 23 3D HELIX CONICAL
dial23 :dialog {
               label = "LitioLAB v. 1.0 - 3D CONICAL HELIX"; // MSG071
   key= "dial23";
    bigdialimag ;
    drawcurveoptionbox ;
// 2019-10-04
   :boxed_row {
               label = "Input parameters"; // MSG049
   :column {
    children_alignment=right;
      : vv1_box {
        label = "D1:"; // MSGxxx
        mnemonic = "1";
      }
      : vv3_box {
        label = "H:"; // MSGxxx
        mnemonic = "H";
      }
   }
   :column {
    children_alignment=right;
      : vv2_box {
        label = "D2:"; // MSGxxx
        mnemonic = "2";
      }
      : nu_box {
        value = "1000";
      }
   }
   }
   spacer_1;
   :row {
   errtile;
   }
   :row {
      : backbutton {
        key="t-back12";
      }
   }
   :row {
      ok_cancel;
   }
}
//
// 24 RESERVED
//
//////////////////
//
//
//